#!/bin/bash
CORRECT_ARGS=3;
E_OPTERROR=85;
if [ $# -ne "$CORRECT_ARGS" ] #script called without args?
then  
	# explain usage and exit
	echo " "
	echo "  Usage: `basename $0` [prefix of ped/map file] [SNP info file] [output file]"
	exit $E_OPTERROR
fi

inprefix=$1
snpinfo=$2
outfile=$3

./convert ${inprefix}.ped ${inprefix}.map ${snpinfo} > ${outfile}.temp

cp ${outfile}.temp ${outfile}

java -Xmx1024m SortByGeneIDs ${outfile}.temp ${outfile}

rm ${outfile}.temp
